< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package uk
  Definition Classes
    root
-  package gov
  Definition Classes
    uk
-  package hmrc
  Definition Classes
    gov
-  package performance
  Definition Classes
    hmrc
-  package simulation
  Definition Classes
    performance
- Journey
- JourneyPart
- PerformanceTestRunner
- PerformanceTestRunnerSetup

t

uk.gov.hmrc.performance.simulation

# PerformanceTestRunner 

###

#### trait PerformanceTestRunner extends Simulation with HttpConfiguration with PerformanceTestRunnerSetup

Linear Supertypes
PerformanceTestRunnerSetup, PerftestConfiguration, JourneyConfiguration, HttpConfiguration, Configuration, Simulation, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. PerformanceTestRunner
2. PerformanceTestRunnerSetup
3. PerftestConfiguration
4. JourneyConfiguration
5. HttpConfiguration
6. Configuration
7. Simulation
8. AnyRef
9. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Type Members

1.  class SetUp extends AnyRef
   Definition Classes
     Simulation

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def after(step: ⇒ Unit): Unit
   Definition Classes
     Simulation
5.  val allJourneys: List[String]
   Definition Classes
     JourneyConfiguration
6.  lazy val applicationConfig: Config
   Definition Classes
     Configuration
7.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
8.  def before(step: ⇒ Unit): Unit
   Definition Classes
     Simulation
9.  def checkJourneyName(id: String): Any
   Definition Classes
     JourneyConfiguration
10.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()
11.  lazy val constantRateTime: FiniteDuration
    Definition Classes
      PerftestConfiguration
12.  def definitions(labels: Set[String] = Set.empty): Seq[JourneyDefinition]
    Definition Classes
      JourneyConfiguration
13.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
14.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
15.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
16.  def generateDescription(abstractDescription: String, runIf: Set[String], skipIf: Set[String]): String
    Definition Classes
      JourneyConfiguration
17.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
18.  def hasProperty(property: String): Boolean
    Definition Classes
      Configuration
19.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
20.  val headers: Map[String, String]
    Definition Classes
      HttpConfiguration
21.  val httpProtocol: HttpProtocolBuilder
    Definition Classes
      HttpConfiguration
22.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
23.  def journeys: Seq[Journey]
    Attributes
      protected
    Definition Classes
      PerformanceTestRunnerSetup
24.  val journeysAvailable: List[String]
    Definition Classes
      JourneyConfiguration
25.  def keys(property: String): List[String]
    Definition Classes
      Configuration
26.  lazy val labels: Set[String]
    Definition Classes
      PerftestConfiguration
27.  lazy val loadPercentage: Double
    Definition Classes
      PerftestConfiguration
28.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
29.  val noLoad: Double
    Definition Classes
      PerftestConfiguration
30.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
31.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
32.  lazy val percentageFailureThreshold: Int
    Definition Classes
      PerftestConfiguration
33.  lazy val rampDownTime: FiniteDuration
    Definition Classes
      PerftestConfiguration
34.  lazy val rampUpTime: FiniteDuration
    Definition Classes
      PerftestConfiguration
35.  def readProperty(property: String, default: String): String
    Definition Classes
      Configuration
36.  def readProperty(property: String): String
    Definition Classes
      Configuration
37.  def readPropertyBooleanOption(property: String): Option[Boolean]
    Definition Classes
      Configuration
38.  def readPropertyList(property: String): List[String]
    Definition Classes
      Configuration
39.  def readPropertyOption(property: String): Option[String]
    Definition Classes
      Configuration
40.  def readPropertySet(property: String): Set[String]
    Definition Classes
      Configuration
41.  def readPropertySetOrEmpty(property: String): Set[String]
    Definition Classes
      Configuration
42.  lazy val requestPercentageFailureThreshold: Int
    Definition Classes
      PerftestConfiguration
43.  lazy val runLocal: Boolean
    Definition Classes
      Configuration
44.  def runSimulation(): Unit
45.  lazy val runSingleUserJourney: Boolean
    Definition Classes
      PerftestConfiguration
46.  def setUp(populationBuilders: List[PopulationBuilder]): SetUp
    Definition Classes
      Simulation
47.  def setUp(populationBuilders: PopulationBuilder*): SetUp
    Definition Classes
      Simulation
48.  def setup(id: String, description: String): JourneyPart
    Definition Classes
      PerformanceTestRunnerSetup
49.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
50.  def toString(): String
    Definition Classes
      AnyRef → Any
51.  def validateExtendedJourney(abstractJourneyId: String): Unit
    Definition Classes
      JourneyConfiguration
52.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
53.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
54.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()
55.  def withInjectedLoad(journeys: Seq[Journey]): Seq[PopulationBuilder]
    Attributes
      protected
    Definition Classes
      PerformanceTestRunnerSetup

### Inherited from PerformanceTestRunnerSetup

### Inherited from PerftestConfiguration

### Inherited from JourneyConfiguration

### Inherited from HttpConfiguration

### Inherited from Configuration

### Inherited from Simulation

### Inherited from AnyRef

### Inherited from Any

### Ungrouped